public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ettore Di Giacinto" <mudler@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/genymotion-bin/
Date: Sat, 25 Mar 2017 12:53:59 +0000 (UTC)	[thread overview]
Message-ID: <1490446417.2afe6ded179c2ba59bda12bbe88051cac36e61c4.mudler@gentoo> (raw)

commit:     2afe6ded179c2ba59bda12bbe88051cac36e61c4
Author:     Marco Genasci <fedeliallalinea <AT> gmail <DOT> com>
AuthorDate: Tue Mar 21 11:29:05 2017 +0000
Commit:     Ettore Di Giacinto <mudler <AT> gentoo <DOT> org>
CommitDate: Sat Mar 25 12:53:37 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2afe6ded

app-emulation/genymotion-bin: correct dependencies and access DISTDIR in pkg_* phases wrt bug #612900

Package-Manager: Portage-2.3.3, Repoman-2.3.1

Signed-off-by: Ettore Di Giacinto <mudler <AT> gentoo.org>

 ...2.8.1.ebuild => genymotion-bin-2.8.1-r1.ebuild} | 32 ++++++++++++++++------
 1 file changed, 23 insertions(+), 9 deletions(-)

diff --git a/app-emulation/genymotion-bin/genymotion-bin-2.8.1.ebuild b/app-emulation/genymotion-bin/genymotion-bin-2.8.1-r1.ebuild
similarity index 80%
rename from app-emulation/genymotion-bin/genymotion-bin-2.8.1.ebuild
rename to app-emulation/genymotion-bin/genymotion-bin-2.8.1-r1.ebuild
index 06c7e953407..45b76acfd35 100644
--- a/app-emulation/genymotion-bin/genymotion-bin-2.8.1.ebuild
+++ b/app-emulation/genymotion-bin/genymotion-bin-2.8.1-r1.ebuild
@@ -24,9 +24,13 @@ RDEPEND="|| ( >=app-emulation/virtualbox-5.0.28 >=app-emulation/virtualbox-bin-5
 	dev-libs/openssl
 	dev-qt/qtgui:5[libinput,xcb]
 	dev-qt/qtsql:5[sqlite]
+	dev-qt/qtwebkit:5
+	dev-qt/qtsvg:5
+	dev-qt/qtx11extras:5
+	dev-qt/qtdeclarative:5
+	dev-qt/qtconcurrent:5
 	dev-util/android-sdk-update-manager
 	media-libs/jpeg:8
-	dev-libs/protobuf:0/9
 	dev-libs/double-conversion
 	sys-apps/util-linux
 	media-libs/fontconfig:1.0
@@ -35,6 +39,7 @@ RDEPEND="|| ( >=app-emulation/virtualbox-5.0.28 >=app-emulation/virtualbox-bin-5
 	media-libs/gstreamer[orc]
 "
 RESTRICT="bindist fetch"
+S="${WORKDIR}"
 
 pkg_nofetch() {
 	einfo
@@ -43,18 +48,18 @@ pkg_nofetch() {
 	einfo
 }
 
-pkg_setup() {
-	# removed function _install_desktop_file because happens outside of sandbox
-	sed -i -e "s/_install_desktop_file\ ||\ abort//" "${DISTDIR}"/${A} || die "sed failed"
-	chmod +x "${DISTDIR}"/${A} || die "chmod failed"
-}
-
 src_unpack() {
-	yes | "${DISTDIR}"/${A} -d "${S}" > /dev/null || die "unpack failed"
+	cp "${DISTDIR}/${A}" "${WORKDIR}" || die "cp failed"
 }
 
 src_prepare() {
 	default
+
+	# removed function _install_desktop_file because happens outside of sandbox
+	sed -i -e "s/_install_desktop_file\ ||\ abort//" ${A} || die "sed failed"
+	chmod +x ${A} || die "chmod failed"
+	yes | ./${A} -d "${S}" > /dev/null || die "unpack failed"
+
 	# removed windows line for bashcompletion
 	sed -i -e "s/complete\ -F\ _gmtool\ gmtool.exe//" "${S}/${MY_PN}/completion/bash/gmtool.bash" || die "sed failed"
 }
@@ -77,7 +82,7 @@ src_install() {
 
 	doins "${MY_PN}"/{libcom,librendering}.so*
 	# library that differ from system version
-	doins "${MY_PN}"/{libicudata,libicui18n,libicuuc,libswscale,libavutil}.so*
+	doins "${MY_PN}"/{libicudata,libicui18n,libicuuc,libswscale,libavutil,libprotobuf}.so*
 	# android library
 	doins "${MY_PN}"/{libEGL_translator,libGLES_CM_translator,libGLES_V2_translator,libOpenglRender}.so*
 
@@ -104,3 +109,12 @@ src_install() {
 	make_desktop_entry "/opt/${MY_PN}/${MY_PN}" "Genymotion ${PV}" "/opt/${MY_PN}/icons/icon.png" "Development;Emulator;"
 	mv "${ED%/}"/usr/share/applications/*.desktop "${ED%/}"/usr/share/applications/"${MY_PN}".desktop || die "mv failed"
 }
+
+pkg_postinst() {
+	elog "Genymotion needs adb to work correctly: install with android-sdk-update-manager"
+	elog "'Android SDK Platform-tools' and 'Android SDK Tools'"
+	elog "Your user should also be in the android group to work correctly"
+	elog "Then in Genymotion set the android-sdk-update-manager directory: (Settings->ADB)"
+	elog
+	elog "      /opt/android-sdk-update-manager"
+}


             reply	other threads:[~2017-03-25 12:54 UTC|newest]

Thread overview: 44+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-03-25 12:53 Ettore Di Giacinto [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-11 16:29 [gentoo-commits] repo/gentoo:master commit in: app-emulation/genymotion-bin/ Eli Schwartz
2024-07-11 16:29 Eli Schwartz
2024-01-20 13:10 Sam James
2024-01-20 13:10 Sam James
2023-07-26  7:38 Joonas Niilola
2023-07-26  7:38 Joonas Niilola
2023-07-02 22:22 Sam James
2023-02-26  8:01 Joonas Niilola
2023-02-26  8:01 Joonas Niilola
2023-02-01  6:16 Joonas Niilola
2023-02-01  6:16 Joonas Niilola
2021-05-04 13:30 Joonas Niilola
2021-05-04 13:30 Joonas Niilola
2021-02-10 14:55 Joonas Niilola
2021-02-10 14:55 Joonas Niilola
2021-02-01 16:32 Sam James
2020-10-31 15:58 Joonas Niilola
2020-10-31 15:58 Joonas Niilola
2020-09-15 14:11 Joonas Niilola
2020-09-15 14:11 Joonas Niilola
2020-04-17  7:36 Joonas Niilola
2020-04-17  7:36 Joonas Niilola
2020-02-19 11:53 Joonas Niilola
2020-02-19 11:53 Joonas Niilola
2019-12-02 22:28 Andreas Sturmlechner
2019-12-02 22:28 Andreas Sturmlechner
2019-06-14 17:46 Thomas Deutschmann
2019-04-27 13:24 Michał Górny
2019-04-27 13:24 Michał Górny
2018-10-18 11:56 Virgil Dupras
2018-10-18 11:56 Virgil Dupras
2018-05-20  0:16 Aaron Bauman
2017-12-21  6:41 Ulrich Müller
2017-11-26 22:25 Ettore Di Giacinto
2017-11-26 22:25 Ettore Di Giacinto
2017-09-04 20:45 Ettore Di Giacinto
2017-09-04 20:45 Ettore Di Giacinto
2017-06-04 15:18 Ettore Di Giacinto
2017-06-04 15:18 Ettore Di Giacinto
2017-04-21 13:05 Ettore Di Giacinto
2017-02-16 10:43 Ettore Di Giacinto
2017-01-26 17:49 Ettore Di Giacinto
2017-01-24 18:24 Ettore Di Giacinto

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1490446417.2afe6ded179c2ba59bda12bbe88051cac36e61c4.mudler@gentoo \
    --to=mudler@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox